Create Assistant
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/captain/assistants \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '{}'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/captain/assistants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/captain/assistants"
payload = {}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"name": "<string>",
"description": "<string>",
"account_id": 123,
"config": {
"product_name": "<string>",
"feature_faq": true,
"feature_memory": true,
"feature_citation": true,
"welcome_message": "<string>",
"handoff_message": "<string>",
"resolution_message": "<string>",
"instructions": "<string>",
"temperature": 123
},
"guardrails": [
"<string>"
],
"response_guidelines": [
"<string>"
],
"created_at": 123,
"updated_at": 123
}Livia
Create Assistant
Create a new AI assistant
POST
/
api
/
v1
/
accounts
/
{account_id}
/
captain
/
assistants
Create Assistant
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/captain/assistants \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '{}'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/captain/assistants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/captain/assistants"
payload = {}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"name": "<string>",
"description": "<string>",
"account_id": 123,
"config": {
"product_name": "<string>",
"feature_faq": true,
"feature_memory": true,
"feature_citation": true,
"welcome_message": "<string>",
"handoff_message": "<string>",
"resolution_message": "<string>",
"instructions": "<string>",
"temperature": 123
},
"guardrails": [
"<string>"
],
"response_guidelines": [
"<string>"
],
"created_at": 123,
"updated_at": 123
}Authorizations
Path Parameters
The numeric ID of the account
Body
application/json
Show child attributes
Show child attributes